<mat-nav-list class="sidebar">
  <div class="profile">
    <div class="header">
      <h2>{{currentUser?.data?.firstName}} {{currentUser?.data?.lastName}}</h2>
      <h4>{{currentUser?.position?.name}}</h4>
    </div>

    <img src="assets/images/avatar.png" alt="{{currentUser?.data?.firstName}} {{currentUser?.data?.lastName}}">
  </div>

  <mat-divider></mat-divider>

  <h2 matSubheader>Firma</h2>

  <ng-container>
    <a mat-list-item routerLinkActive="list-item-active" [routerLink]="'/company/dashboard'">
      <mat-icon>dashboard</mat-icon>
      Dashboard</a>
  </ng-container>

  <ng-container *ngIf="currentUser?.permissions?.canViewWorkTimeReports">
    <a mat-list-item routerLinkActive="list-item-active" [routerLink]="'/company/work-time-reports'">
      <mat-icon>timelapse</mat-icon>
      Ewidencja czasu pracy</a>
  </ng-container>

  <ng-container *ngIf="currentUser?.permissions?.canViewEmployees">
    <a mat-list-item routerLinkActive="list-item-active" [routerLink]="'/company/employees'">
      <mat-icon>people</mat-icon>
      Pracownicy </a>
  </ng-container>

  <ng-container *ngIf="currentUser?.permissions?.canViewProjects">
    <a mat-list-item routerLinkActive="list-item-active" [routerLink]="'/company/projects'">
      <mat-icon>assignment</mat-icon>
      Projekty </a>
  </ng-container>

  <ng-container *ngIf="currentUser?.permissions?.canViewClients">
    <a mat-list-item routerLinkActive="list-item-active" [routerLink]="'/company/clients'">
      <mat-icon>business_center</mat-icon>
      Klienci </a>
  </ng-container>

  <ng-container *ngIf="currentUser?.permissions?.canViewItems">
    <a mat-list-item routerLinkActive="list-item-active" [routerLink]="'/company/items'">
      <mat-icon>desktop_mac</mat-icon>
      Wyposażenie </a>
  </ng-container>

  <ng-container *ngIf="currentUser?.permissions?.canViewEvents">
    <a mat-list-item routerLinkActive="list-item-active" [routerLink]="'/company/events'">
      <mat-icon>date_range</mat-icon>
      Kalendarz </a>
  </ng-container>

  <ng-container *ngIf="currentUser?.permissions?.canViewApplications">
    <a mat-list-item routerLinkActive="list-item-active" [routerLink]="'/company/applications'">
      <mat-icon>insert_drive_file</mat-icon>
      Wnioski pracownicze</a>
  </ng-container>

  <ng-container *ngIf="currentUser?.permissions?.canViewCompany">
    <a mat-list-item routerLinkActive="list-item-active" [routerLink]="'/company/settings'">
      <mat-icon>gavel</mat-icon>
      Zarządzanie firmą </a>
  </ng-container>

  <mat-divider></mat-divider>

  <h2 matSubheader>Moje</h2>

  <a mat-list-item routerLinkActive="list-item-active" [routerLink]="'/user/work-time-reports'">
    <mat-icon>timelapse</mat-icon>
    Raporty</a>
  <a mat-list-item routerLinkActive="list-item-active" [routerLink]="'/user/applications'">
    <mat-icon>insert_drive_file</mat-icon>
    Wnioski </a>
  <a mat-list-item routerLinkActive="list-item-active" [routerLink]="'/user/events'">
    <mat-icon>date_range</mat-icon>
    Wydarzenia </a>
  <a mat-list-item routerLinkActive="list-item-active" [routerLink]="'/user/messages'">
    <mat-icon>message</mat-icon>
    Wiadomości </a>
  <a mat-list-item routerLinkActive="list-item-active" [routerLink]="'/user/account-settings'">
    <mat-icon>settings</mat-icon>
    Ustawienia konta</a>

</mat-nav-list>
